Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.x.com/llms.txt

Use this file to discover all available pages before exploring further.

The Communities Search endpoint lets you search for Communities by keyword. Discover Communities around topics of interest.

Overview

Keyword search

Search Communities by name and description

Discover

Find Communities to join

Endpoint

MethodEndpointDescription
GET/2/communities/searchSearch for Communities

Parameters

ParameterDescription
querySearch query (required)
max_resultsResults per page (max 100)
community.fieldsAdditional Community fields

Example request

curl "https://api.x.com/2/communities/search?\
query=Python&\
max_results=10&\
community.fields=name,description,member_count" \
  -H "Authorization: Bearer $BEARER_TOKEN"

Getting started

Prerequisites

Communities lookup

Look up Communities by ID

API Reference

Full endpoint documentation